<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:paddingLeft="5dp"
    android:paddingRight="5dp">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:baselineAligned="false"
        android:orientation="horizontal">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1">
        <ImageView
            android:id="@+id/favorite_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_alignParentRight="true"
            app:srcCompat="@drawable/item_favorite" />

            <ImageView android:id="@+id/icon"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_margin="2dp"
                android:layout_centerVertical="true"/>

            <TextView android:id="@+id/label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/icon"
                android:layout_toEndOf="@id/icon"
                android:singleLine="true"
                android:textStyle="bold"/>

            <TextView android:id="@+id/packageName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/label"
                android:textStyle="italic"
                android:layout_alignLeft="@id/label"
                android:layout_alignStart="@id/label"
                android:singleLine="true"/>

            <TextView android:id="@+id/date"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/packageName"
                android:textSize="12dp"
                android:layout_alignLeft="@id/label"
                android:layout_alignStart="@id/label"
                android:singleLine="true"/>

            <TextView android:id="@+id/shareid"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_below="@id/packageName"
                android:layout_toRightOf="@id/date"
                android:layout_toEndOf="@id/date"
                android:textSize="10dp"
                android:paddingRight="25sp"
                android:gravity="right"
                android:singleLine="true"/>

            <TextView android:id="@+id/issuer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/date"
                android:layout_alignLeft="@id/label"
                android:layout_alignStart="@id/label"
                android:textSize="9dp"
                android:singleLine="true"/>
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="2"
            android:orientation="vertical">

            <TextView android:id="@+id/version"
                android:layout_width="wrap_content"
                android:textSize="12dp"
                android:layout_height="wrap_content"
                android:singleLine="true"/>

            <TextView android:id="@+id/isSystem"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:singleLine="true"/>

            <TextView android:id="@+id/size"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:singleLine="true"/>

            <TextView android:id="@+id/sha"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="9dp"
                android:singleLine="true"/>

        </LinearLayout>
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="?android:attr/listDivider"/>

        <TextView android:id="@+id/description"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:textSize="9dp"
            android:singleLine="false"
            android:layout_weight="2"
            />


</LinearLayout>
